> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Mcp Integration

> Update an MCP integration.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json put /workspaces/{workspace_id}/mcp-integrations/{mcp_integration_id}
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /workspaces/{workspace_id}/mcp-integrations/{mcp_integration_id}:
    put:
      tags:
        - mcp-integrations
      summary: Update Mcp Integration
      description: Update an MCP integration.
      operationId: mcp-integrations-update_mcp_integration
      parameters:
        - name: mcp_integration_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Mcp Integration Id
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MCPIntegrationUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MCPIntegrationRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
        - ServiceAccountApiKeyBearer: []
components:
  schemas:
    MCPIntegrationUpdate:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 255
              minLength: 3
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
              maxLength: 512
            - type: 'null'
          title: Description
        server_type:
          anyOf:
            - $ref: '#/components/schemas/MCPServerType'
            - type: 'null'
          description: MCP server type. Changing this clears fields from the previous type.
        server_uri:
          anyOf:
            - type: string
            - type: 'null'
          title: Server Uri
        auth_type:
          anyOf:
            - $ref: '#/components/schemas/MCPAuthType'
            - type: 'null'
        oauth_integration_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Oauth Integration Id
        custom_credentials:
          anyOf:
            - type: string
              format: password
              writeOnly: true
            - type: 'null'
          title: Custom Credentials
          description: >-
            Custom credentials as JSON headers. Required for custom auth type;
            optional additional headers for OAuth2 auth type.
        stdio_command:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Stdio Command
          description: Stdio command to run for stdio-type servers (e.g., 'npx')
        stdio_args:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Stdio Args
          description: Arguments for the stdio command
        stdio_env:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Stdio Env
          description: Environment variables for stdio-type servers
        timeout:
          anyOf:
            - type: integer
              maximum: 300
              minimum: 1
            - type: 'null'
          title: Timeout
          description: Timeout in seconds
      type: object
      title: MCPIntegrationUpdate
      description: Request model for updating an MCP integration.
    MCPIntegrationRead:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        workspace_id:
          type: string
          format: uuid
          title: Workspace Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        slug:
          type: string
          title: Slug
        server_type:
          $ref: '#/components/schemas/MCPServerType'
        server_uri:
          anyOf:
            - type: string
            - type: 'null'
          title: Server Uri
        auth_type:
          $ref: '#/components/schemas/MCPAuthType'
        oauth_integration_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Oauth Integration Id
        state:
          type: string
          enum:
            - not_configured
            - configured
            - connected
            - error
          title: State
        stdio_command:
          anyOf:
            - type: string
            - type: 'null'
          title: Stdio Command
        stdio_args:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Stdio Args
        has_stdio_env:
          type: boolean
          title: Has Stdio Env
          default: false
        timeout:
          anyOf:
            - type: integer
            - type: 'null'
          title: Timeout
        tools:
          anyOf:
            - items:
                $ref: '#/components/schemas/MCPToolSummary'
              type: array
            - type: 'null'
          title: Tools
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - workspace_id
        - name
        - description
        - slug
        - server_type
        - server_uri
        - auth_type
        - oauth_integration_id
        - state
        - stdio_command
        - stdio_args
        - timeout
        - created_at
        - updated_at
      title: MCPIntegrationRead
      description: Response model for MCP integration.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MCPServerType:
      type: string
      enum:
        - http
        - stdio
    MCPAuthType:
      type: string
      enum:
        - OAUTH2
        - CUSTOM
        - NONE
      title: MCPAuthType
      description: Authentication type for MCP integrations.
    MCPToolSummary:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        enabled:
          type: boolean
          title: Enabled
          default: true
        requires_approval:
          type: boolean
          title: Requires Approval
          default: false
        status:
          type: string
          enum:
            - available
            - missing
          title: Status
          default: available
      type: object
      required:
        - name
      title: MCPToolSummary
      description: Summary of a tool discovered on a remote MCP server.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth
    ServiceAccountApiKeyBearer:
      type: http
      description: Tracecat service account API key.
      scheme: bearer

````